#include <iostream>
#include <cstdio>
using namespace std;

int lend(int,int);
void sensor(int*);
int sum(int*,int);

int b[780]={165,15,130,64,131,124,130,111,130,96,130,149,129,173,131,5,130,193,129,244,130,203,130,171,131,116,129,191,130,22,130,220,129,108,128,253,129,38,130,169,131,248,131,212,129,135,131,59,130,235,131,38,130,192,130,165,130,251,130,157,130,150,132,47,131,120,133,24,133,94,131,70,129,249,133,130,131,163,131,151,133,47,131,57,132,191,130,144,130,16,132,234,131,125,131,229,130,96,132,52,131,154,131,212,132,5,131,182,130,250,131,162,130,109,131,28,131,188,130,236,130,246,132,154,131,161,131,93,132,7,169,211,131,29,131,15,130,43,130,66,131,61,131,142,130,191,131,139,131,11,132,194,132,80,130,86,132,45,130,210,129,139,130,16,129,230,130,119,132,150,132,153,129,118,131,49,132,105,131,135,129,147,130,201,130,246,130,103,131,114,131,7,132,123,130,21,131,35,131,50,131,172,130,179,131,90,132,10,131,99,131,114,131,147,131,192,132,143,131,114,132,49,131,186,132,126,131,111,132,125,131,199,133,64,132,244,132,187,134,93,133,150,133,223,133,133,133,78,131,202,133,238,133,103,133,29,133,138,133,131,165,22,130,190,131,212,130,156,130,135,130,186,129,236,131,67,130,243,129,222,130,179,130,208,131,192,129,228,130,62,131,31,129,245,129,92,129,59,130,196,132,33,131,248,129,170,131,110,130,215,130,251,131,31,131,23,131,107,130,214,130,167,132,67,131,200,133,40,133,103,131,100,130,15,133,170,131,197,131,118,132,169,131,87,133,87,131,48,130,132,133,28,131,145,131,247,130,100,132,53,131,153,131,233,132,29,131,199,130,216,130,242,130,28,131,109,132,134,131,160,131,49,132,167,131,137,131,65,131,251,169,218,131,180,131,143,130,108,130,64,131,22,131,192,130,224,131,125,130,215,132,142,132,93,130,127,132,86,131,16,130,2,130,162,130,92,130,168,132,155,132,150,129,14,131,25,132,154,131,201,129,190,130,186,130,173,130,84,131,107,130,237,132,143,130,119,131,88,131,62,131,193,130,204,131,47,131,162,131,133,131,183,131,213,131,247,132,167,131,89,131,175,131,70,132,65,131,127,132,132,131,226,133,81,133,14,132,204,134,21,133,113,134,73,133,229,133,145,131,244,133,247,133,5,132,150,133,39,133,109,140,92,130,13,131,55,129,202,129,161,129,207,128,239,130,96,130,19,129,80,130,41,130,30,130,231,129,18,129,156,130,113,129,93,128,157,128,145,129,238,131,79,131,29,128,199,130,137,130,51,130,91,130,26,130,58,130,144,129,230,129,245,131,139,131,42,132,112,132,173,130,143,129,61,132,186,130,189,130,207,132,113,130,125,132,94,130,46,129,153,132,94,130,195,131,97,129,210,131,133,130,221,131,26,131,52,130,222,130,26,130,179,129,146,130,93,131,133,130,155,130,76,131,213,130,246,130,173,131,90,142,32,131,27,130,244,129,163,129,162,130,162,131,6,130,14,130,220,130,104,132,29,131,137,129,175,131,153,130,90,129,61,130,17,129,162,130,4,131,218,131,225,128,192,130,139,131,175,130,218,128,245,130,2,130,52,129,172,130,197,130,98,131,227,129,216,130,163,130,121,131,10,130,25,130,180,131,103,130,186,130,186,130,189,130,245,131,199,130,176,131,125,131,30,131,196,130,222,131,210,131,33,132,137,132,62,131,253,133,184,133,35,133,100,132,210,132,132,130,253,133,38,132,175,132,113,132,218,132,215};

extern int V[16][16],PTAT[4],VDD[2],eloffset[16][16];
extern int Lookup[][8];

int main()
{
	
	sensor(b);
	cout<<sum(PTAT,sizeof(PTAT))/4.0<<endl;
	cout<<sizeof(PTAT)/sizeof(int)<<endl;
	cout<<Lookup[5][4]<<endl;
	return 0;
} 
